# generated by cabal-rpm-2.0.11
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

# requires network
%bcond_with tests

Name:           koji-tool
Version:        0.9.2
Release:        1%{?dist}
Summary:        Koji CLI tool for querying tasks and installing builds

License:        BSD
Url:            https://hackage.haskell.org/package/%{name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-Glob-static
BuildRequires:  ghc-base-static
BuildRequires:  ghc-directory-static
BuildRequires:  ghc-extra-static
BuildRequires:  ghc-filepath-static
BuildRequires:  ghc-formatting-static
BuildRequires:  ghc-http-conduit-static
BuildRequires:  ghc-http-directory-static
BuildRequires:  ghc-koji-static
BuildRequires:  ghc-pretty-simple-static
BuildRequires:  ghc-rpm-nvr-static
BuildRequires:  ghc-simple-cmd-static
BuildRequires:  ghc-simple-cmd-args-static
BuildRequires:  ghc-text-static
BuildRequires:  ghc-time-static
BuildRequires:  ghc-utf8-string-static
BuildRequires:  ghc-xdg-userdirs-static
# End cabal-rpm deps

%description
Koji-tool is a CLI interface to Koji with commands to query builds, tasks,
install rpms, and track buildlog sizes.

Koji is the RPM-based buildsystem of Fedora Linux and CentOS.


%prep
# Begin cabal-rpm setup:
%setup -q
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_bin_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_bin_install
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions/
%{buildroot}%{_bindir}/%{name} --bash-completion-script %{name} | sed s/filenames/default/ > %{buildroot}%{_datadir}/bash-completion/completions/%{name}
# End cabal-rpm install


%check
%if %{with tests}
%cabal_test
%endif


%files
# Begin cabal-rpm files:
%license LICENSE
%doc ChangeLog.md README.md TODO
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}
# End cabal-rpm files


%changelog
* Sun Jun 12 2022 Jens Petersen <petersen@redhat.com> - 0.9.2-1
- tasks --install now takes an install options string
- install: place rpms in a nvr subdirectory
- install: when downloading check if local files' timestamp within build time
- progress: no longer quit after srpm build
- progress: show duration of build and finished tasks

* Sun May 29 2022 Jens Petersen <petersen@redhat.com> - 0.9.1-1
- https://hackage.haskell.org/package/koji-tool-0.9.1/changelog

* Tue May 10 2022 Jens Petersen <petersen@redhat.com> - 0.8.5-1
- use rpm-nvr-0.1.2 for better NVR and NVRA parsing ensuring non-empty names
- when parsing koji build request fields, detect git hash and fork builds

* Mon May 09 2022 Jens Petersen <petersen@redhat.com> - 0.8.4-1
- install: complete rework of logic using installed status and NVRA etc
- install: '--no-reinstall' replaces '--reinstall-nvrs'
- Install: confirm for --all and --exclude, respecting --yes
- tasks: parse taskid as arg and drop --task and --children
- Tasks: print parent Task taskid compactly and then its children

* Sat Apr 23 2022 Jens Petersen <petersen@redhat.com> - 0.8.3-1
- 'latest': new cmd to list latest package build for tag
- 'install': use --reinstall-nvrs to reinstall rpms for current nvr
- 'install': now prompts before proceeding
- 'install': handle build tasks by finding buildArch
- 'install': --list now always lists rpms

* Tue Mar 29 2022 Jens Petersen <petersen@redhat.com> - 0.8.2-1
- spec file generated by cabal-rpm-2.0.11
